Bug 1803384

Summary: xsltproc serious performance regression with xsl:number
Product: [Fedora] Fedora Reporter: Tom Lane <tgl>
Component: libxsltAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: devrim, jjelen, veillard
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libxslt-1.1.34-1.fc31 libxslt-1.1.34-1.fc30 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-18 02:22:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Tom Lane 2020-02-15 19:13:26 UTC
Description of problem:
Recent xsltproc takes forever to build Postgres PDF documentation

Version-Release number of selected component (if applicable):
libxslt-1.1.33-1.fc30.x86_64

How reproducible:
100%

Additional info:
I wonder if I could pester you to absorb the upstream fix discussed here:

https://gitlab.gnome.org/GNOME/libxslt/issues/16

https://gitlab.gnome.org/GNOME/libxslt/commit/9216d4e5102d257513c39a7f816d2bfbaa5a89e4

sooner rather than later?  It makes the toolchain unusable for one of my primary use-cases, in Fedora 29 and later (28 and earlier were OK).

Comment 1 Fedora Admin XMLRPC Client 2020-03-04 04:19:03 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 2 Fedora Admin XMLRPC Client 2020-03-10 04:25:38 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 3 Fedora Update System 2020-03-10 14:51:38 UTC
FEDORA-2020-90c768a947 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-90c768a947

Comment 4 Fedora Update System 2020-03-10 14:51:41 UTC
FEDORA-2020-40fa1ae94b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-40fa1ae94b

Comment 5 Fedora Update System 2020-03-11 18:18:43 UTC
libxslt-1.1.34-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-40fa1ae94b

Comment 6 Fedora Update System 2020-03-11 22:27:45 UTC
libxslt-1.1.34-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-90c768a947

Comment 7 Tom Lane 2020-03-12 01:04:19 UTC
Tested the F30 update, it fixes the problem.  Thanks!

Comment 8 Fedora Update System 2020-03-18 02:22:06 UTC
libxslt-1.1.34-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-03-26 09:47:08 UTC
FEDORA-2020-40fa1ae94b has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.